# Interface JmolDropEditor

All Known Subinterfaces:
  `JmolScriptEditorInterface`

All Known Implementing Classes:
  `AppConsole, JmolJME, ScriptEditor`

public interface JmolDropEditor

## Method Summary

Modifier and Type
Method
Description
`void`
`loadContent(String script)`
Deprecated.
`void`
`loadFile(String fname)`

## Method Details

### loadFile

void loadFile(String fname)

### loadContent

@Deprecated void loadContent(String script)
Deprecated.
Deprecated. Designed to be used for dropping a script into the AppConsole or ScriptEditor in order to open it in the ScriptEditor, but that was never implemented.

Parameters:
  `script` -